<?php namespace Pay\Lib;
use Dever;

class Test extends Core
{
	public function __construct($config)
	{
		$this->config = $config;
	}

	/**
	 * 通知
	 */
	public function notify()
	{
		
	}

	/**
	 * 获取统一下单的基本信息
	 */
	public function order($account_id, $project_id, $uid, $username, $product_id, $name, $cash, $openid = false, $type = 1, $order_id = false)
	{
		$order_id = $this->createOrder($uid, $username, $account_id, $project_id, $product_id, $name, $cash, 'test', $order_id);

		$this->updateOrder($order_id, $cash);

		return '';
	}

	/**
	 * 获取二维码支付
	 */
	public function qrcode($order, $refer)
	{
		return $order;
	}

	/**
	 * 获取小程序支付
	 */
	public function applet($order)
	{
		return $order;
	}


	/**
	 * 获取页面支付
	 */
	public function page($order, $refer)
	{
		return $order;
	}

	# 退款
	public function refund($order_id, $cash)
	{
		return true;
	}
}